Bug 141432 - memory_cs module not found
memory_cs module not found
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 21:01 EST by Denis Leroy
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 18:43:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2004-11-30 21:01:05 EST
Description of problem:

The pcmcia-cs configuration file is either obsolete, or the package is
not configured correctly, but inserting a fairly standard compact
flash PCMCIA card into my laptop yields the following error in
/var/log/messages :

Nov 30 17:42:20 jupiler cardmgr[1762]: socket 0: Anonymous Memory
Nov 30 17:42:21 jupiler cardmgr[1762]: executing: 'modprobe memory_cs
2>&1'
Nov 30 17:42:21 jupiler cardmgr[1762]: + FATAL: Module memory_cs not
found.
Nov 30 17:42:21 jupiler cardmgr[1762]: modprobe exited with status 1
Nov 30 17:42:21 jupiler cardmgr[1762]: module
/lib/modules/2.6.9-1.6_FC2/pcmcia/memory_cs.o not available
Nov 30 17:42:21 jupiler cardmgr[1762]: bind 'memory_cs' to socket 0
failed: Invalid argument
Nov 30 17:42:38 jupiler cardmgr[1762]: executing: 'modprobe -r
memory_cs 2>&1'
Nov 30 17:42:38 jupiler cardmgr[1762]: + FATAL: Module memory_cs not
found.
Nov 30 17:42:38 jupiler cardmgr[1762]: modprobe exited with status 1

That's very disturbing. The path it's trying to load the module is
completely wrong and obsolete, and so is the module .o extension. What
is going on here ? memory_cs.ko is not part of the linux kernel and
yet is not distributed as part of the pcmcia-cs package. Does
pcmcia-cs have a missing dependency ? Or is the config file obsolete ?

Version-Release number of selected component (if applicable):

kernel-2.6.9-1.6_FC2
pcmcia-cs-3.2.7-1.8.2.1

How reproducible:

Always. 

Steps to Reproduce:
1. Just insert a PQI Compact Flash Adapter PCMCIA card.
2.
3.
  
Actual results:

Trying to load nonexistent memory_cs module

Expected results:

Load correct module and create device file for compact flash.

Additional info:
Comment 1 Susan Lauber 2005-04-20 15:40:56 EDT
I am having the same type of message on my Sony Vaio (PCG-505ACP) with
a Cisco 350 wireless adapter on RHEL4

(I am NOT having a problem on my toshiba with RHEL4)

I was having intermittent sucess with the vaio and RHEL3 for the past
few months (no problems with original install) but I don't know the
errors in that case... about 1 in 10 times it would load up and
connect without a problem.

From /var/log/messages:

modprobe airo_cs seems ok:

Apr 20 15:25:54 sony kernel: airo:  Probing for PCI adapters
Apr 20 15:25:54 sony kernel: airo:  Finished probing for PCI adapters

inserting the card (or cardctl insert) shows:

Apr 20 15:25:56 sony kernel: cs: memory probe 0xa0000000-0xa0ffffff:
clean.
Apr 20 15:25:56 sony cardmgr[5675]: error parsing CIS on socket 0:
Invalid argument
Apr 20 15:25:56 sony cardmgr[5675]: socket 0: Anonymous Memory
Apr 20 15:25:56 sony cardmgr[5675]: executing: 'modprobe memory_cs 2>&1'
Apr 20 15:25:56 sony cardmgr[5675]: + FATAL: Module memory_cs not found.
Apr 20 15:25:56 sony cardmgr[5675]: modprobe exited with status 1
Apr 20 15:25:56 sony cardmgr[5675]: module
/lib/modules/2.6.9-5.0.5.EL/pcmcia/memory_cs.o not available
Apr 20 15:25:56 sony cardmgr[5675]: bind 'memory_cs' to socket 0
failed: Invalid argument

I am using:
pcmcia-cs-3.2.7-1.14
kernel-2.6.9-5.0.5.EL


-Susan Lauber
Comment 2 Matthew Miller 2005-04-26 12:18:10 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Denis Leroy 2005-04-26 15:17:42 EDT
The bug is still here with FC3. The message and behavior are slightly different,
but it still complains about some mysterious .o module it can't load. Then
cardmgr goes haywire and eats up 100% of the cpu. This is what is in
/var/log/messages. 12:13:34 is the time at wich i started the pcmcia services.
12:13:45 is the time at which i inserted the compact flash PCMCIA card. 


Apr 26 12:13:34 jupiler cardmgr[5081]: watching 2 sockets
Apr 26 12:13:34 jupiler kernel: cs: IO port probe 0xc00-0xcff: clean.
Apr 26 12:13:34 jupiler kernel: cs: IO port probe 0xc00-0xcff: clean.
Apr 26 12:13:34 jupiler kernel: cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
Apr 26 12:13:34 jupiler kernel: cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
Apr 26 12:13:34 jupiler kernel: cs: IO port probe 0xa00-0xaff: clean.
Apr 26 12:13:34 jupiler kernel: cs: IO port probe 0xa00-0xaff: clean.
Apr 26 12:13:45 jupiler cardmgr[5082]: socket 0: Anonymous Memory
Apr 26 12:13:45 jupiler kernel: 2.6. kernels use pcmciamtd instead of
memory_cs.c and do not require special
Apr 26 12:13:45 jupiler kernel: MTD handling any more.
Apr 26 12:13:45 jupiler cardmgr[5082]: executing: 'modprobe sram_mtd 2>&1'
Apr 26 12:13:45 jupiler cardmgr[5082]: + FATAL: Module sram_mtd not found.
Apr 26 12:13:45 jupiler cardmgr[5082]: modprobe exited with status 1
Apr 26 12:13:45 jupiler cardmgr[5082]: module
/lib/modules/2.6.11-1.14_FC3/pcmcia/sram_mtd.o not available
Apr 26 12:13:45 jupiler cardmgr[5082]:   Common memory region at 0x0: Generic or
SRAM
Apr 26 12:13:56 jupiler last message repeated 242970 times
Comment 4 Denis Leroy 2006-03-01 18:43:04 EST
Is working now with FC-3.

Note You need to log in before you can comment on or make changes to this bug.